﻿.appMLRegSingle-tile {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(0deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appMLRegSingle-tile:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appMLRegSingle-tile-rotate {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(180deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appMLRegSingle-tile-rotate:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appMLRegSingle-tile-content {
    position: absolute;
    width: 100%;
    height: 100%;
}

.appMLRegSingle-tile-activities {
    height: 80%;
    width: 120%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    background-color: orange;
    color: white;
    cursor: pointer;
    margin-left: 45%;
    margin-top: -70%;
}

.appMLRegSingle-tile-close-back {
    height: 140%;
    width: 140%;
    border-radius: 50%;
    display: inline-block;
    background-color: white;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 40%;
    margin-top: -80%;
}

.appMLRegSingle-tile-config {
    height: 100%;
    width: 100%;
    border-radius: 50%;
    display: inline-block;
    background-color: transparent;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 10%;
    margin-top: 10%;
}

.appMLRegSingle-grid-container-tile-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 15% 80% 5%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegSingle-grid-container-tile-back {
    display: none;
    transform: rotateY(180deg);
    grid-template-columns: 100%;
    grid-template-rows: 10% 90%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegSingle-grid-container-tile-header {
    display: grid;
    grid-template-columns: max-content max-content max-content auto 10%;
    grid-column-gap: 2%;
    margin-left: 2%;
}

.appMLRegSingle-grid-container-tile-content-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 25% 25% 50%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: pointer;
}


.appMLRegSingle-grid-container-tile-content-back {
    display: grid;
    grid-template-columns: 33% 34% 33%;
    grid-template-rows: 25% 75%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegSingle-glyphicon {
    color: gray;
    background-color: transparent;
    padding-top: 15%;
}

.appMLRegSingle-glyphicon-close {
    color: gray;
    background-color: transparent;
    height: 120%;
    width: 120%;
    margin-top: -10%;
}

.appMLRegSingle-grid-container-config-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegSingle-grid-container-config-data-select-fieldset {
    height: 20%;
}

.appMLRegSingle-grid-container-config-data-select {
    display: grid;
    grid-template-columns: 50% 50%; 
    background-color: transparent;
    width: 100%;
    height:100%;
}

.appMLRegSingle-grid-container-config-data-select-time {
    display: grid;
    grid-template-columns: 45% 10% 45%;
    background-color: transparent;
    width: 100%;    
}

.appMLRegSingle-grid-container-config-data-select-metrics {
    display: grid;
    grid-template-rows: 10% 90%;
    grid-template-columns:100%;
    margin-top:10px;  
}

.appMLRegSingle-grid-container-config-data-select-metric-item {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 50% 50%;
    margin-top: 50px;
}

.appMLRegSingle-grid-container-config-data-select-times {
    display: grid;
    grid-template-columns: 100%;
    background-color: transparent;
    width: 100%;
    margin-top: 20px;
}

.appMLRegSingle-grid-container-config-csv {
    display: grid;
    grid-template-columns: 90% 10%;
    margin-top:50px;
}

.appMLRegSingle-grid-container-config-info {
    display: grid;
    grid-template-columns: 40% 55%;
    grid-column-gap: 5px;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegSingle-grid-container-config-tooltip-info {
    display: grid;
    grid-template-columns: max-content max-content;
    grid-column-gap: 5px;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegSingle-config-info {
    margin-top:3px;
    background-color: transparent;
    color: gray;
    text-align: center;
    cursor: pointer; 
}

.appMLRegSingle-grid-container-config-nav {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;    
    grid-column-gap:20px;
}

.appMLRegSingle-grid-container-config-data-assignment-table-header {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: 100%;
    background-color: transparent;
    font-size:12px;
    width: 100%;
}

.appMLRegSingle-grid-container-config-data-assignment-criteria-col-header {
    display: grid;
    grid-template-columns: 40% 40% 20%;
    grid-template-rows: 100%;
    background-color: transparent;   
    width: 100%;
}
.appMLRegSingle-grid-container-config-data-assignment-table-cell {
    border: none;
    background-color: transparent;
    height: 100%;
    width: 100%;
    font-size: medium;
}

.appMLRegSingle-grid-container-config-correlation {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegSingle-grid-container-config-calc-reg-equation {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegSingle-grid-container-config-calc-reg-equation-info {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto auto auto;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegSingle-grid-container-config-production {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegSingle-grid-container-config-production-metric-assignment {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 50% 50%;
    background-color: transparent;
    width: 100%;
    height: 100%;
}

.appMLRegSingle-grid-container-chart-content {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: 6vh 72vh;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegSingle-grid-container-chart-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMLRegSingle-grid-container-chart-date-selection {
    display: grid;
    grid-template-columns: 3% 3% 1% 5% 1% 10% 1% 20% auto;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 50%;
}

.appMLRegSingle-grid-container-chart-option {
    display: grid;
    grid-template-columns: 50% 50%;
}
